import React, { Component } from 'react';
import { Router, browserHistory, Route, Link } from 'react-router';
import logo from './logo.svg';
import MoviesList from './components/Movie/MoviesList'
import './App.css';

const Page = ({ title }) => (
    <div className="App">
      <div className="App-header">
        <img src={logo} className="App-logo" alt="logo" />
        <h2>{title}</h2>
      </div>
      <p className="App-intro">
        This is the {title} page.
      </p>
      <p>
        <Link to="/">Home</Link>
      </p>
      <p>
        <Link to="/about">About</Link>
      </p>
      <p>
        <Link to="/movies">See Movies list</Link>
      </p>
    </div>
);

const Home = (props) => (
    <Page title="Home"/>
);

const About = (props) => (
    <Page title="About"/>
);

// const Movies = (props) => (
//     <Page title="Movies"/>
// );

class App extends Component {
  render() {
      return (
        <Router history={browserHistory}>
          <Route path="/" component={Home}/>
          <Route path="/about" component={About}/>
          <Route path="/movies" component={MoviesList}/>
        </Router>
    );
  }
}

export default App;
